package com.example.shawarma.data.repos

import com.example.shawarma.data.interfaces.dao.OrderProductDao
import com.example.shawarma.data.models.OrderProductModel
import javax.inject.Inject

class OrderProductRepository @Inject constructor(
    private val orderProductDao: OrderProductDao
) {
    suspend fun insert(order: OrderProductModel) {
        return orderProductDao.insert(order)
    }
    suspend fun update(order: OrderProductModel) {
        return orderProductDao.update(order)
    }
    suspend fun delete(order: OrderProductModel) {
        return orderProductDao.delete(order)
    }

}